Function
appendRead
Appends a read to a fragment store.
appendRead(store, read[, matePairId])
appendRead(store, read, name[, matePairId])
Include Headers
seqan/store.h
Parameters

store | The fragment store. Types: FragmentStore
read | The read sequence.
name | The read name. Types: CharString
matePairId | Id of mate-pair this read is part of. Default: INVALID_ID, which corresponds to an unmated read.

Remarks
This function appends a single read to the readStore and readSeqStore. If name is given, it is appended to the readNameStore.
Return Values
The readId of the newly appended read.
See Also
appendAlignedRead, appendMatePair, getRead
SeqAn - Sequence Analysis Library - www.seqan.de

Page built @2012/03/14 16:34:46